VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IHostApplication Class Referenceabstract

Basic host callback interface: Vst::IHostApplication. More...

`#include <ivsthostapplication.h>`

Inheritance diagram for IHostApplication:

## Public Member Functions
virtual tresult | getName (String128 name)=0
| Gets host application name.
virtual tresult | createInstance (TUID cid, TUID _iid, void **obj)=0
| Creates host object (e.g.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Basic host callback interface: Vst::IHostApplication.

- [host imp]
- [passed as 'context' in to IPluginBase::initialize () ]
- [released: 3.0.0]
- [mandatory]

Basic VST host application interface.

## Member Function Documentation

virtual tresult getName | ( | String128 | name | ) |
| pure virtual

Gets host application name.

Implemented in HostApplication.

virtual tresult createInstance | ( | TUID | cid,
|  | TUID | _iid,
|  | void ** | obj
| ) |  |
| pure virtual

Creates host object (e.g.

Vst::IMessage).

Implemented in HostApplication.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.